<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="SectionInfoType">
    <xs:sequence>
      <xs:element name="SchoolCourseInfoRefId" type="IdRefType" />
      <xs:element name="LocalId" type="LocalIdType" />
      <xs:element name="Description" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="SchoolYear" minOccurs="0" nillable="true" type="SchoolYearType" />
      <xs:element name="TermInfoRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="MediumOfInstruction" minOccurs="0" nillable="true" type="MediumOfInstructionType" />
      <xs:element name="LanguageOfInstruction" minOccurs="0" nillable="true" type="LanguageOfInstructionType" />
      <xs:element name="LocationOfInstruction" minOccurs="0" nillable="true" type="LocationOfInstructionType" />
      <xs:element name="SummerSchool" minOccurs="0" nillable="true">
        <xs:simpleType>
          <xs:restriction base="xs:token">
            <xs:enumeration value="Yes" />
            <xs:enumeration value="No" />
          </xs:restriction>
        </xs:simpleType>
      </xs:element>
      <xs:element name="SchoolCourseInfoOverride" minOccurs="0" nillable="true" type="SchoolCourseInfoOverrideType" />
      <xs:element name="CourseSectionCode" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="SectionCode" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="CountForAttendance" minOccurs="0" nillable="true">
        <xs:simpleType>
          <xs:restriction base="xs:token">
            <xs:enumeration value="Yes" />
            <xs:enumeration value="No" />
          </xs:restriction>
        </xs:simpleType>
      </xs:element>
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType" />
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType" />
  </xs:complexType>

  <xs:element name="SectionInfo" type="SectionInfoType">
    <xs:key name="SectionInfoKey1">
      <xs:selector xpath="./SectionInfo" />
      <xs:field xpath="@RefId" />
    </xs:key>
  </xs:element>

  <xs:complexType name="SectionInfoCollectionType">
    <xs:sequence>
      <xs:element name="SectionInfo" type="SectionInfoType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="SectionInfos" type="SectionInfoCollectionType" />

</xs:schema>